Skip to navigation

Get Configuration

This endpoint is used to retrieve the merchant’s payment limits.

A request to Create Checkout may be rejected if the order amount is not between the minimumAmount and maximumAmount (inclusive).

Note

Clearpay merchant configuration does not change frequently. For this reason, the configuration response will include Cache-Control headers in order to minimise network round trips when using a modern HTTP client.

Get configuration should be called on a fixed schedule, we recommend about once per day.

Successful Response (200)

Returns a configuration object containing the following attributes.

AttributeTypeDescription
minimumAmountMoneyMinimum order amount.
maximumAmountMoneyMaximum order amount.

Connection Timeouts

TimeoutTime (Seconds)
Open10
Read20

Errors

See GET Errors.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to application/json